aboutsummaryrefslogtreecommitdiff
path: root/scripts/util/fcd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/util/fcd.sh')
-rwxr-xr-xscripts/util/fcd.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/util/fcd.sh b/scripts/util/fcd.sh
new file mode 100755
index 0000000..09c1e50
--- /dev/null
+++ b/scripts/util/fcd.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# CD into chosen directory, otherwise terminate
+
+fcd() {
+ cd "$(fd -t d -E Digital/D1 -E /home/black/Games | fzf --reverse || exit)"
+}
+
+fcd
+
+if [ $? -eq 0 ]; then
+ exec "$SHELL" #-i
+fi